import java.util.Scanner;

public class Examen01
{
  static String numero="1";
  static int aumento=1;
  public static void main(String args[])
  {
    System.out.println("LED number display");
    Scanner teclado=new Scanner (System.in);
    
    
    while(true)
    {
      System.out.print("Numero a mostrar [0=Salir]: ");
      teclado.skip("[\n\r\t ]*");
      String numero=teclado.nextLine();
      if(numero.equals("0"))
        return;
      
      System.out.print("\nFactor de aumento (x): ");
      aumento=teclado.nextInt();
      
      for(int i=0; i<numero.length(); ++i)
      {
        char digito=numero.charAt(i);
        imprimirDigito(digito);
      }
      
    }
  }
  
  public static void imprimirDigito(char digito)
  {
    switch(digito)
    {
      case '0':
        imprimirCero();
        break;
      case '1':
        imprimirUno();
        break;
      case '2':
        imprimirDos();
        break;
    }
  }
  
  
  public static void imprimirCero()
  {
    //primera linea
    for (int fila=1; fila<=aumento; fila=fila+1)
    {
      for (int columna=1; columna<=(3*aumento); columna=columna+ 3)
      {
        System.out.print("###");
      }
      System.out.println("");
    }
    
    //2, 3 y 4 linea
    for (int filaGrande=1; filaGrande<=3; filaGrande=filaGrande+1)
    {
      for(int fila=1; fila<=aumento; fila=fila+1)
      {
        for(int columna=1; columna<=aumento; columna=columna +1)
        {
          System.out.print("#");
        }
        for(int columna=1; columna<=aumento; columna=columna +1)
        {
          System.out.print(" ");
        }
        for(int columna=1; columna<=aumento; columna=columna +1)
        {
          System.out.print("#");
        }
        System.out.println("");
      }
    }
    
    //quinta linea
    for (int fila=1; fila<=aumento; fila=fila+1)
    {
      for (int columna=1; columna<=(3*aumento); columna=columna+ 3)
      {
        System.out.print("###");
      }
      System.out.println("");
    }
    System.out.println("");
  }
  
  
  public static void imprimirUno()
  {
    for(int fila=1; fila<=4*aumento; fila=fila+1)
    {
      for(int columna=1; columna<=(aumento);columna=columna+1)
      {
        System.out.print("#");
      }
      System.out.println("");
    }
    System.out.println("");
  }
  
  public static void imprimirDos()
  {
    //primera linea
    for (int fila=1; fila<=aumento; fila=fila+1)
    {
      for (int columna=1; columna<=(3*aumento); columna=columna+ 3)
      {
        System.out.print("###");
      }
      System.out.println("");
    }
    
    
    //segunda linea
    for(int fila=1; fila<=aumento; fila=fila+1)
    {
      for(int columna=1; columna<=2*aumento; columna=columna +2)
      {
        System.out.print("  ");
      }
      
      for(int columna=1; columna<=aumento; columna=columna +1)
      {
        System.out.print("#");
      }
      
      System.out.println("");
    }
    
    
    //tercera linea
    for (int fila=1; fila<=aumento; fila=fila+1)
    {
      for (int columna=1; columna<=(3*aumento); columna=columna+ 3)
      {
        System.out.print("###");
      }
      System.out.println("");
    }
    
    
    //cuarta linea
    for(int fila=1; fila<=aumento; fila=fila+1)
    {
      for(int columna=1; columna<=aumento; columna=columna +1)
      {
        System.out.print("#");
      }
      
      for(int columna=1; columna<=2*aumento; columna=columna +2)
      {
        System.out.print("  ");
      }
      
      System.out.println("");
    }
    
    
    //quinta linea
    for (int fila=1; fila<=aumento; fila=fila+1)
    {
      for (int columna=1; columna<=(3*aumento); columna=columna+ 3)
      {
        System.out.print("###");
      }
      System.out.println("");
    }
    System.out.println("");
  }
  
}